import 'package:flutter/foundation.dart';

class Data extends ChangeNotifier {

  // application data
  List _images = [];
  String _image = '';
  List _tiles = [];


  String get image => _image;

  set updateImage(String value) {
    _image = value;
    notifyListeners();
  }

  List get images => _images;

  set updateImages(List value) {
    _images = value;
    notifyListeners();
  }

  List get tiles => _tiles;

  set updateTiles(List value) {
    _tiles = value;
    notifyListeners();
  }

  void resetGame() {
    _image = '';
    notifyListeners();
  }
}
